	   program test
	   integer a(20),b(40),c
       call sub1(a,b)
       do 30 i=1,20
         write(5,*) a(i)
30	   continue
       i=i+1
	   end

       subroutine sub1(a,b)
       integer a(20),b(40)
       do 10 i = 1, 20
         a(i) = b(i)+2+i
10	   continue
       return
       end
